Index: TvEngine3/TVLibrary/SetupTv/Sections/ProviderEpgGrabber.Designer.cs
===================================================================
--- TvEngine3/TVLibrary/SetupTv/Sections/ProviderEpgGrabber.Designer.cs	(revision 0)
+++ TvEngine3/TVLibrary/SetupTv/Sections/ProviderEpgGrabber.Designer.cs	(revision 0)
@@ -0,0 +1,550 @@
+namespace SetupTv.Sections
+{
+  partial class ProviderEPGs
+  {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing)
+    {
+      if (disposing && (components != null))
+      {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent()
+    {
+      this.tabControl1 = new System.Windows.Forms.TabControl();
+      this.tabPage1 = new System.Windows.Forms.TabPage();
+      this.cbGrabSkyUKEpg = new MediaPortal.UserInterface.Controls.MPCheckBox();
+      this.btResetDefaultSkyUKTransponder = new System.Windows.Forms.Button();
+      this.gbSkyUKDefaultTransponder = new System.Windows.Forms.GroupBox();
+      this.lbSkyUKNetworkIdValue = new System.Windows.Forms.Label();
+      this.lbSkyUKFrequency = new System.Windows.Forms.Label();
+      this.lbSkyUKFrequencyValue = new System.Windows.Forms.Label();
+      this.lbSkyUKFECValue = new System.Windows.Forms.Label();
+      this.lbSkyUKPolarisation = new System.Windows.Forms.Label();
+      this.lbSkyUKNetworkId = new System.Windows.Forms.Label();
+      this.lbSkyUKPolarisationValue = new System.Windows.Forms.Label();
+      this.lbSkyUKSymbolRateValue = new System.Windows.Forms.Label();
+      this.lbSkyUKSymbolRate = new System.Windows.Forms.Label();
+      this.lbSkyUKFEC = new System.Windows.Forms.Label();
+      this.btEditDefaultSkyUKTransponder = new System.Windows.Forms.Button();
+      this.mpLabelChannelCount = new MediaPortal.UserInterface.Controls.MPLabel();
+      this.tabPage2 = new System.Windows.Forms.TabPage();
+      this.cbGrabSkyItalyEpg = new MediaPortal.UserInterface.Controls.MPCheckBox();
+      this.btResetSkyItalyDefaultTransponder = new System.Windows.Forms.Button();
+      this.gbSkyItalyDefaultTransponder = new System.Windows.Forms.GroupBox();
+      this.lbSkyItalyNetworkIdValue = new System.Windows.Forms.Label();
+      this.lbSkyItalyFrequency = new System.Windows.Forms.Label();
+      this.lbSkyItalyFrequencyValue = new System.Windows.Forms.Label();
+      this.lbSkyItalyFECValue = new System.Windows.Forms.Label();
+      this.lbSkyItalyPolarisation = new System.Windows.Forms.Label();
+      this.lbSkyItalyNetworkId = new System.Windows.Forms.Label();
+      this.lbSkyItalyPolarisationValue = new System.Windows.Forms.Label();
+      this.lbSkyItalySymbolRateValue = new System.Windows.Forms.Label();
+      this.lbSkyItalySymbolRate = new System.Windows.Forms.Label();
+      this.lbSkyItalyFEC = new System.Windows.Forms.Label();
+      this.btEditSkyItalyDefaultTransponder = new System.Windows.Forms.Button();
+      this.label1 = new System.Windows.Forms.Label();
+      this.label2 = new System.Windows.Forms.Label();
+      this.label3 = new System.Windows.Forms.Label();
+      this.label4 = new System.Windows.Forms.Label();
+      this.label5 = new System.Windows.Forms.Label();
+      this.label6 = new System.Windows.Forms.Label();
+      this.label7 = new System.Windows.Forms.Label();
+      this.label8 = new System.Windows.Forms.Label();
+      this.label9 = new System.Windows.Forms.Label();
+      this.label10 = new System.Windows.Forms.Label();
+      this.tabControl1.SuspendLayout();
+      this.tabPage1.SuspendLayout();
+      this.gbSkyUKDefaultTransponder.SuspendLayout();
+      this.tabPage2.SuspendLayout();
+      this.gbSkyItalyDefaultTransponder.SuspendLayout();
+      this.SuspendLayout();
+      // 
+      // tabControl1
+      // 
+      this.tabControl1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.tabControl1.Controls.Add(this.tabPage1);
+      this.tabControl1.Controls.Add(this.tabPage2);
+      this.tabControl1.Location = new System.Drawing.Point(3, 3);
+      this.tabControl1.Name = "tabControl1";
+      this.tabControl1.SelectedIndex = 0;
+      this.tabControl1.Size = new System.Drawing.Size(485, 431);
+      this.tabControl1.TabIndex = 10;
+      // 
+      // tabPage1
+      // 
+      this.tabPage1.Controls.Add(this.cbGrabSkyUKEpg);
+      this.tabPage1.Controls.Add(this.btResetDefaultSkyUKTransponder);
+      this.tabPage1.Controls.Add(this.gbSkyUKDefaultTransponder);
+      this.tabPage1.Controls.Add(this.btEditDefaultSkyUKTransponder);
+      this.tabPage1.Controls.Add(this.mpLabelChannelCount);
+      this.tabPage1.Location = new System.Drawing.Point(4, 22);
+      this.tabPage1.Name = "tabPage1";
+      this.tabPage1.Padding = new System.Windows.Forms.Padding(3);
+      this.tabPage1.Size = new System.Drawing.Size(477, 405);
+      this.tabPage1.TabIndex = 0;
+      this.tabPage1.Text = "Sky UK";
+      this.tabPage1.UseVisualStyleBackColor = true;
+      // 
+      // cbGrabSkyUKEpg
+      // 
+      this.cbGrabSkyUKEpg.AutoSize = true;
+      this.cbGrabSkyUKEpg.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
+      this.cbGrabSkyUKEpg.Location = new System.Drawing.Point(19, 25);
+      this.cbGrabSkyUKEpg.Name = "cbGrabSkyUKEpg";
+      this.cbGrabSkyUKEpg.Size = new System.Drawing.Size(111, 17);
+      this.cbGrabSkyUKEpg.TabIndex = 24;
+      this.cbGrabSkyUKEpg.Text = "Grab Sky UK EPG";
+      this.cbGrabSkyUKEpg.UseVisualStyleBackColor = true;
+      // 
+      // btResetDefaultSkyUKTransponder
+      // 
+      this.btResetDefaultSkyUKTransponder.Location = new System.Drawing.Point(366, 68);
+      this.btResetDefaultSkyUKTransponder.Name = "btResetDefaultSkyUKTransponder";
+      this.btResetDefaultSkyUKTransponder.Size = new System.Drawing.Size(50, 24);
+      this.btResetDefaultSkyUKTransponder.TabIndex = 23;
+      this.btResetDefaultSkyUKTransponder.Text = "Reset";
+      this.btResetDefaultSkyUKTransponder.UseVisualStyleBackColor = true;
+      this.btResetDefaultSkyUKTransponder.Click += new System.EventHandler(this.btResetDefaultSkyUKTransponder_Click);
+      // 
+      // gbSkyUKDefaultTransponder
+      // 
+      this.gbSkyUKDefaultTransponder.Controls.Add(this.lbSkyUKNetworkIdValue);
+      this.gbSkyUKDefaultTransponder.Controls.Add(this.lbSkyUKFrequency);
+      this.gbSkyUKDefaultTransponder.Controls.Add(this.lbSkyUKFrequencyValue);
+      this.gbSkyUKDefaultTransponder.Controls.Add(this.lbSkyUKFECValue);
+      this.gbSkyUKDefaultTransponder.Controls.Add(this.lbSkyUKPolarisation);
+      this.gbSkyUKDefaultTransponder.Controls.Add(this.lbSkyUKNetworkId);
+      this.gbSkyUKDefaultTransponder.Controls.Add(this.lbSkyUKPolarisationValue);
+      this.gbSkyUKDefaultTransponder.Controls.Add(this.lbSkyUKSymbolRateValue);
+      this.gbSkyUKDefaultTransponder.Controls.Add(this.lbSkyUKSymbolRate);
+      this.gbSkyUKDefaultTransponder.Controls.Add(this.lbSkyUKFEC);
+      this.gbSkyUKDefaultTransponder.Location = new System.Drawing.Point(157, 25);
+      this.gbSkyUKDefaultTransponder.Name = "gbSkyUKDefaultTransponder";
+      this.gbSkyUKDefaultTransponder.Size = new System.Drawing.Size(194, 148);
+      this.gbSkyUKDefaultTransponder.TabIndex = 21;
+      this.gbSkyUKDefaultTransponder.TabStop = false;
+      this.gbSkyUKDefaultTransponder.Text = "Default Transponder";
+      // 
+      // lbSkyUKNetworkIdValue
+      // 
+      this.lbSkyUKNetworkIdValue.AutoSize = true;
+      this.lbSkyUKNetworkIdValue.Location = new System.Drawing.Point(109, 115);
+      this.lbSkyUKNetworkIdValue.Name = "lbSkyUKNetworkIdValue";
+      this.lbSkyUKNetworkIdValue.Size = new System.Drawing.Size(0, 13);
+      this.lbSkyUKNetworkIdValue.TabIndex = 10;
+      // 
+      // lbSkyUKFrequency
+      // 
+      this.lbSkyUKFrequency.AutoSize = true;
+      this.lbSkyUKFrequency.Location = new System.Drawing.Point(18, 27);
+      this.lbSkyUKFrequency.Name = "lbSkyUKFrequency";
+      this.lbSkyUKFrequency.Size = new System.Drawing.Size(83, 13);
+      this.lbSkyUKFrequency.TabIndex = 0;
+      this.lbSkyUKFrequency.Text = "Frequency (khz)";
+      // 
+      // lbSkyUKFrequencyValue
+      // 
+      this.lbSkyUKFrequencyValue.AutoSize = true;
+      this.lbSkyUKFrequencyValue.Location = new System.Drawing.Point(109, 27);
+      this.lbSkyUKFrequencyValue.Name = "lbSkyUKFrequencyValue";
+      this.lbSkyUKFrequencyValue.Size = new System.Drawing.Size(0, 13);
+      this.lbSkyUKFrequencyValue.TabIndex = 6;
+      // 
+      // lbSkyUKFECValue
+      // 
+      this.lbSkyUKFECValue.AutoSize = true;
+      this.lbSkyUKFECValue.Location = new System.Drawing.Point(109, 93);
+      this.lbSkyUKFECValue.Name = "lbSkyUKFECValue";
+      this.lbSkyUKFECValue.Size = new System.Drawing.Size(0, 13);
+      this.lbSkyUKFECValue.TabIndex = 9;
+      // 
+      // lbSkyUKPolarisation
+      // 
+      this.lbSkyUKPolarisation.AutoSize = true;
+      this.lbSkyUKPolarisation.Location = new System.Drawing.Point(18, 49);
+      this.lbSkyUKPolarisation.Name = "lbSkyUKPolarisation";
+      this.lbSkyUKPolarisation.Size = new System.Drawing.Size(61, 13);
+      this.lbSkyUKPolarisation.TabIndex = 1;
+      this.lbSkyUKPolarisation.Text = "Polarisation";
+      // 
+      // lbSkyUKNetworkId
+      // 
+      this.lbSkyUKNetworkId.AutoSize = true;
+      this.lbSkyUKNetworkId.Location = new System.Drawing.Point(18, 115);
+      this.lbSkyUKNetworkId.Name = "lbSkyUKNetworkId";
+      this.lbSkyUKNetworkId.Size = new System.Drawing.Size(61, 13);
+      this.lbSkyUKNetworkId.TabIndex = 5;
+      this.lbSkyUKNetworkId.Text = "Network ID";
+      // 
+      // lbSkyUKPolarisationValue
+      // 
+      this.lbSkyUKPolarisationValue.AutoSize = true;
+      this.lbSkyUKPolarisationValue.Location = new System.Drawing.Point(109, 49);
+      this.lbSkyUKPolarisationValue.Name = "lbSkyUKPolarisationValue";
+      this.lbSkyUKPolarisationValue.Size = new System.Drawing.Size(0, 13);
+      this.lbSkyUKPolarisationValue.TabIndex = 7;
+      // 
+      // lbSkyUKSymbolRateValue
+      // 
+      this.lbSkyUKSymbolRateValue.AutoSize = true;
+      this.lbSkyUKSymbolRateValue.Location = new System.Drawing.Point(109, 71);
+      this.lbSkyUKSymbolRateValue.Name = "lbSkyUKSymbolRateValue";
+      this.lbSkyUKSymbolRateValue.Size = new System.Drawing.Size(0, 13);
+      this.lbSkyUKSymbolRateValue.TabIndex = 8;
+      // 
+      // lbSkyUKSymbolRate
+      // 
+      this.lbSkyUKSymbolRate.AutoSize = true;
+      this.lbSkyUKSymbolRate.Location = new System.Drawing.Point(18, 71);
+      this.lbSkyUKSymbolRate.Name = "lbSkyUKSymbolRate";
+      this.lbSkyUKSymbolRate.Size = new System.Drawing.Size(67, 13);
+      this.lbSkyUKSymbolRate.TabIndex = 2;
+      this.lbSkyUKSymbolRate.Text = "Symbol Rate";
+      // 
+      // lbSkyUKFEC
+      // 
+      this.lbSkyUKFEC.AutoSize = true;
+      this.lbSkyUKFEC.Location = new System.Drawing.Point(18, 93);
+      this.lbSkyUKFEC.Name = "lbSkyUKFEC";
+      this.lbSkyUKFEC.Size = new System.Drawing.Size(27, 13);
+      this.lbSkyUKFEC.TabIndex = 4;
+      this.lbSkyUKFEC.Text = "FEC";
+      // 
+      // btEditDefaultSkyUKTransponder
+      // 
+      this.btEditDefaultSkyUKTransponder.Location = new System.Drawing.Point(366, 38);
+      this.btEditDefaultSkyUKTransponder.Name = "btEditDefaultSkyUKTransponder";
+      this.btEditDefaultSkyUKTransponder.Size = new System.Drawing.Size(50, 24);
+      this.btEditDefaultSkyUKTransponder.TabIndex = 22;
+      this.btEditDefaultSkyUKTransponder.Text = "Edit";
+      this.btEditDefaultSkyUKTransponder.UseVisualStyleBackColor = true;
+      this.btEditDefaultSkyUKTransponder.Click += new System.EventHandler(this.btEditDefaultSkyUKTransponder_Click);
+      // 
+      // mpLabelChannelCount
+      // 
+      this.mpLabelChannelCount.AutoSize = true;
+      this.mpLabelChannelCount.Location = new System.Drawing.Point(13, 14);
+      this.mpLabelChannelCount.Name = "mpLabelChannelCount";
+      this.mpLabelChannelCount.Size = new System.Drawing.Size(0, 13);
+      this.mpLabelChannelCount.TabIndex = 2;
+      // 
+      // tabPage2
+      // 
+      this.tabPage2.Controls.Add(this.cbGrabSkyItalyEpg);
+      this.tabPage2.Controls.Add(this.btResetSkyItalyDefaultTransponder);
+      this.tabPage2.Controls.Add(this.gbSkyItalyDefaultTransponder);
+      this.tabPage2.Controls.Add(this.btEditSkyItalyDefaultTransponder);
+      this.tabPage2.Location = new System.Drawing.Point(4, 22);
+      this.tabPage2.Name = "tabPage2";
+      this.tabPage2.Size = new System.Drawing.Size(477, 405);
+      this.tabPage2.TabIndex = 1;
+      this.tabPage2.Text = "Sky Italy";
+      this.tabPage2.UseVisualStyleBackColor = true;
+      // 
+      // cbGrabSkyItalyEpg
+      // 
+      this.cbGrabSkyItalyEpg.AutoSize = true;
+      this.cbGrabSkyItalyEpg.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
+      this.cbGrabSkyItalyEpg.Location = new System.Drawing.Point(19, 25);
+      this.cbGrabSkyItalyEpg.Name = "cbGrabSkyItalyEpg";
+      this.cbGrabSkyItalyEpg.Size = new System.Drawing.Size(115, 17);
+      this.cbGrabSkyItalyEpg.TabIndex = 29;
+      this.cbGrabSkyItalyEpg.Text = "Grab Sky Italy EPG";
+      this.cbGrabSkyItalyEpg.UseVisualStyleBackColor = true;
+      // 
+      // btResetSkyItalyDefaultTransponder
+      // 
+      this.btResetSkyItalyDefaultTransponder.Location = new System.Drawing.Point(366, 68);
+      this.btResetSkyItalyDefaultTransponder.Name = "btResetSkyItalyDefaultTransponder";
+      this.btResetSkyItalyDefaultTransponder.Size = new System.Drawing.Size(50, 24);
+      this.btResetSkyItalyDefaultTransponder.TabIndex = 28;
+      this.btResetSkyItalyDefaultTransponder.Text = "Reset";
+      this.btResetSkyItalyDefaultTransponder.UseVisualStyleBackColor = true;
+      this.btResetSkyItalyDefaultTransponder.Click += new System.EventHandler(this.btResetSkyItalyDefaultTransponder_Click);
+      // 
+      // gbSkyItalyDefaultTransponder
+      // 
+      this.gbSkyItalyDefaultTransponder.Controls.Add(this.lbSkyItalyNetworkIdValue);
+      this.gbSkyItalyDefaultTransponder.Controls.Add(this.lbSkyItalyFrequency);
+      this.gbSkyItalyDefaultTransponder.Controls.Add(this.lbSkyItalyFrequencyValue);
+      this.gbSkyItalyDefaultTransponder.Controls.Add(this.lbSkyItalyFECValue);
+      this.gbSkyItalyDefaultTransponder.Controls.Add(this.lbSkyItalyPolarisation);
+      this.gbSkyItalyDefaultTransponder.Controls.Add(this.lbSkyItalyNetworkId);
+      this.gbSkyItalyDefaultTransponder.Controls.Add(this.lbSkyItalyPolarisationValue);
+      this.gbSkyItalyDefaultTransponder.Controls.Add(this.lbSkyItalySymbolRateValue);
+      this.gbSkyItalyDefaultTransponder.Controls.Add(this.lbSkyItalySymbolRate);
+      this.gbSkyItalyDefaultTransponder.Controls.Add(this.lbSkyItalyFEC);
+      this.gbSkyItalyDefaultTransponder.Location = new System.Drawing.Point(157, 25);
+      this.gbSkyItalyDefaultTransponder.Name = "gbSkyItalyDefaultTransponder";
+      this.gbSkyItalyDefaultTransponder.Size = new System.Drawing.Size(194, 148);
+      this.gbSkyItalyDefaultTransponder.TabIndex = 26;
+      this.gbSkyItalyDefaultTransponder.TabStop = false;
+      this.gbSkyItalyDefaultTransponder.Text = "Default Transponder";
+      // 
+      // lbSkyItalyNetworkIdValue
+      // 
+      this.lbSkyItalyNetworkIdValue.AutoSize = true;
+      this.lbSkyItalyNetworkIdValue.Location = new System.Drawing.Point(109, 115);
+      this.lbSkyItalyNetworkIdValue.Name = "lbSkyItalyNetworkIdValue";
+      this.lbSkyItalyNetworkIdValue.Size = new System.Drawing.Size(0, 13);
+      this.lbSkyItalyNetworkIdValue.TabIndex = 10;
+      // 
+      // lbSkyItalyFrequency
+      // 
+      this.lbSkyItalyFrequency.AutoSize = true;
+      this.lbSkyItalyFrequency.Location = new System.Drawing.Point(18, 27);
+      this.lbSkyItalyFrequency.Name = "lbSkyItalyFrequency";
+      this.lbSkyItalyFrequency.Size = new System.Drawing.Size(83, 13);
+      this.lbSkyItalyFrequency.TabIndex = 0;
+      this.lbSkyItalyFrequency.Text = "Frequency (khz)";
+      // 
+      // lbSkyItalyFrequencyValue
+      // 
+      this.lbSkyItalyFrequencyValue.AutoSize = true;
+      this.lbSkyItalyFrequencyValue.Location = new System.Drawing.Point(109, 27);
+      this.lbSkyItalyFrequencyValue.Name = "lbSkyItalyFrequencyValue";
+      this.lbSkyItalyFrequencyValue.Size = new System.Drawing.Size(0, 13);
+      this.lbSkyItalyFrequencyValue.TabIndex = 6;
+      // 
+      // lbSkyItalyFECValue
+      // 
+      this.lbSkyItalyFECValue.AutoSize = true;
+      this.lbSkyItalyFECValue.Location = new System.Drawing.Point(109, 93);
+      this.lbSkyItalyFECValue.Name = "lbSkyItalyFECValue";
+      this.lbSkyItalyFECValue.Size = new System.Drawing.Size(0, 13);
+      this.lbSkyItalyFECValue.TabIndex = 9;
+      // 
+      // lbSkyItalyPolarisation
+      // 
+      this.lbSkyItalyPolarisation.AutoSize = true;
+      this.lbSkyItalyPolarisation.Location = new System.Drawing.Point(18, 49);
+      this.lbSkyItalyPolarisation.Name = "lbSkyItalyPolarisation";
+      this.lbSkyItalyPolarisation.Size = new System.Drawing.Size(61, 13);
+      this.lbSkyItalyPolarisation.TabIndex = 1;
+      this.lbSkyItalyPolarisation.Text = "Polarisation";
+      // 
+      // lbSkyItalyNetworkId
+      // 
+      this.lbSkyItalyNetworkId.AutoSize = true;
+      this.lbSkyItalyNetworkId.Location = new System.Drawing.Point(18, 115);
+      this.lbSkyItalyNetworkId.Name = "lbSkyItalyNetworkId";
+      this.lbSkyItalyNetworkId.Size = new System.Drawing.Size(61, 13);
+      this.lbSkyItalyNetworkId.TabIndex = 5;
+      this.lbSkyItalyNetworkId.Text = "Network ID";
+      // 
+      // lbSkyItalyPolarisationValue
+      // 
+      this.lbSkyItalyPolarisationValue.AutoSize = true;
+      this.lbSkyItalyPolarisationValue.Location = new System.Drawing.Point(109, 49);
+      this.lbSkyItalyPolarisationValue.Name = "lbSkyItalyPolarisationValue";
+      this.lbSkyItalyPolarisationValue.Size = new System.Drawing.Size(0, 13);
+      this.lbSkyItalyPolarisationValue.TabIndex = 7;
+      // 
+      // lbSkyItalySymbolRateValue
+      // 
+      this.lbSkyItalySymbolRateValue.AutoSize = true;
+      this.lbSkyItalySymbolRateValue.Location = new System.Drawing.Point(109, 71);
+      this.lbSkyItalySymbolRateValue.Name = "lbSkyItalySymbolRateValue";
+      this.lbSkyItalySymbolRateValue.Size = new System.Drawing.Size(0, 13);
+      this.lbSkyItalySymbolRateValue.TabIndex = 8;
+      // 
+      // lbSkyItalySymbolRate
+      // 
+      this.lbSkyItalySymbolRate.AutoSize = true;
+      this.lbSkyItalySymbolRate.Location = new System.Drawing.Point(18, 71);
+      this.lbSkyItalySymbolRate.Name = "lbSkyItalySymbolRate";
+      this.lbSkyItalySymbolRate.Size = new System.Drawing.Size(67, 13);
+      this.lbSkyItalySymbolRate.TabIndex = 2;
+      this.lbSkyItalySymbolRate.Text = "Symbol Rate";
+      // 
+      // lbSkyItalyFEC
+      // 
+      this.lbSkyItalyFEC.AutoSize = true;
+      this.lbSkyItalyFEC.Location = new System.Drawing.Point(18, 93);
+      this.lbSkyItalyFEC.Name = "lbSkyItalyFEC";
+      this.lbSkyItalyFEC.Size = new System.Drawing.Size(27, 13);
+      this.lbSkyItalyFEC.TabIndex = 4;
+      this.lbSkyItalyFEC.Text = "FEC";
+      // 
+      // btEditSkyItalyDefaultTransponder
+      // 
+      this.btEditSkyItalyDefaultTransponder.Location = new System.Drawing.Point(366, 38);
+      this.btEditSkyItalyDefaultTransponder.Name = "btEditSkyItalyDefaultTransponder";
+      this.btEditSkyItalyDefaultTransponder.Size = new System.Drawing.Size(50, 24);
+      this.btEditSkyItalyDefaultTransponder.TabIndex = 27;
+      this.btEditSkyItalyDefaultTransponder.Text = "Edit";
+      this.btEditSkyItalyDefaultTransponder.UseVisualStyleBackColor = true;
+      this.btEditSkyItalyDefaultTransponder.Click += new System.EventHandler(this.btEditSkyItalyDefaultTransponder_Click);
+      // 
+      // label1
+      // 
+      this.label1.AutoSize = true;
+      this.label1.Location = new System.Drawing.Point(109, 115);
+      this.label1.Name = "label1";
+      this.label1.Size = new System.Drawing.Size(0, 13);
+      this.label1.TabIndex = 10;
+      // 
+      // label2
+      // 
+      this.label2.AutoSize = true;
+      this.label2.Location = new System.Drawing.Point(18, 27);
+      this.label2.Name = "label2";
+      this.label2.Size = new System.Drawing.Size(83, 13);
+      this.label2.TabIndex = 0;
+      this.label2.Text = "Frequency (khz)";
+      // 
+      // label3
+      // 
+      this.label3.AutoSize = true;
+      this.label3.Location = new System.Drawing.Point(109, 27);
+      this.label3.Name = "label3";
+      this.label3.Size = new System.Drawing.Size(0, 13);
+      this.label3.TabIndex = 6;
+      // 
+      // label4
+      // 
+      this.label4.AutoSize = true;
+      this.label4.Location = new System.Drawing.Point(109, 93);
+      this.label4.Name = "label4";
+      this.label4.Size = new System.Drawing.Size(0, 13);
+      this.label4.TabIndex = 9;
+      // 
+      // label5
+      // 
+      this.label5.AutoSize = true;
+      this.label5.Location = new System.Drawing.Point(18, 49);
+      this.label5.Name = "label5";
+      this.label5.Size = new System.Drawing.Size(61, 13);
+      this.label5.TabIndex = 1;
+      this.label5.Text = "Polarisation";
+      // 
+      // label6
+      // 
+      this.label6.AutoSize = true;
+      this.label6.Location = new System.Drawing.Point(18, 115);
+      this.label6.Name = "label6";
+      this.label6.Size = new System.Drawing.Size(61, 13);
+      this.label6.TabIndex = 5;
+      this.label6.Text = "Network ID";
+      // 
+      // label7
+      // 
+      this.label7.AutoSize = true;
+      this.label7.Location = new System.Drawing.Point(109, 49);
+      this.label7.Name = "label7";
+      this.label7.Size = new System.Drawing.Size(0, 13);
+      this.label7.TabIndex = 7;
+      // 
+      // label8
+      // 
+      this.label8.AutoSize = true;
+      this.label8.Location = new System.Drawing.Point(109, 71);
+      this.label8.Name = "label8";
+      this.label8.Size = new System.Drawing.Size(0, 13);
+      this.label8.TabIndex = 8;
+      // 
+      // label9
+      // 
+      this.label9.AutoSize = true;
+      this.label9.Location = new System.Drawing.Point(18, 71);
+      this.label9.Name = "label9";
+      this.label9.Size = new System.Drawing.Size(67, 13);
+      this.label9.TabIndex = 2;
+      this.label9.Text = "Symbol Rate";
+      // 
+      // label10
+      // 
+      this.label10.AutoSize = true;
+      this.label10.Location = new System.Drawing.Point(18, 93);
+      this.label10.Name = "label10";
+      this.label10.Size = new System.Drawing.Size(27, 13);
+      this.label10.TabIndex = 4;
+      this.label10.Text = "FEC";
+      // 
+      // ProviderEPGs
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.tabControl1);
+      this.Name = "ProviderEPGs";
+      this.Size = new System.Drawing.Size(491, 437);
+      this.tabControl1.ResumeLayout(false);
+      this.tabPage1.ResumeLayout(false);
+      this.tabPage1.PerformLayout();
+      this.gbSkyUKDefaultTransponder.ResumeLayout(false);
+      this.gbSkyUKDefaultTransponder.PerformLayout();
+      this.tabPage2.ResumeLayout(false);
+      this.tabPage2.PerformLayout();
+      this.gbSkyItalyDefaultTransponder.ResumeLayout(false);
+      this.gbSkyItalyDefaultTransponder.PerformLayout();
+      this.ResumeLayout(false);
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.TabControl tabControl1;
+    private System.Windows.Forms.TabPage tabPage1;
+    private MediaPortal.UserInterface.Controls.MPLabel mpLabelChannelCount;
+    private MediaPortal.UserInterface.Controls.MPCheckBox cbGrabSkyUKEpg;
+    private System.Windows.Forms.Button btResetDefaultSkyUKTransponder;
+    private System.Windows.Forms.GroupBox gbSkyUKDefaultTransponder;
+    private System.Windows.Forms.Label lbSkyUKNetworkIdValue;
+    private System.Windows.Forms.Label lbSkyUKFrequency;
+    private System.Windows.Forms.Label lbSkyUKFrequencyValue;
+    private System.Windows.Forms.Label lbSkyUKFECValue;
+    private System.Windows.Forms.Label lbSkyUKPolarisation;
+    private System.Windows.Forms.Label lbSkyUKNetworkId;
+    private System.Windows.Forms.Label lbSkyUKPolarisationValue;
+    private System.Windows.Forms.Label lbSkyUKSymbolRateValue;
+    private System.Windows.Forms.Label lbSkyUKSymbolRate;
+    private System.Windows.Forms.Label lbSkyUKFEC;
+    private System.Windows.Forms.Button btEditDefaultSkyUKTransponder;
+    private System.Windows.Forms.TabPage tabPage2;
+    private MediaPortal.UserInterface.Controls.MPCheckBox cbGrabSkyItalyEpg;
+    private System.Windows.Forms.Button btResetSkyItalyDefaultTransponder;
+    private System.Windows.Forms.GroupBox gbSkyItalyDefaultTransponder;
+    private System.Windows.Forms.Label lbSkyItalyNetworkIdValue;
+    private System.Windows.Forms.Label lbSkyItalyFrequency;
+    private System.Windows.Forms.Label lbSkyItalyFrequencyValue;
+    private System.Windows.Forms.Label lbSkyItalyFECValue;
+    private System.Windows.Forms.Label lbSkyItalyPolarisation;
+    private System.Windows.Forms.Label lbSkyItalyNetworkId;
+    private System.Windows.Forms.Label lbSkyItalyPolarisationValue;
+    private System.Windows.Forms.Label lbSkyItalySymbolRateValue;
+    private System.Windows.Forms.Label lbSkyItalySymbolRate;
+    private System.Windows.Forms.Label lbSkyItalyFEC;
+    private System.Windows.Forms.Button btEditSkyItalyDefaultTransponder;
+    private System.Windows.Forms.Label label1;
+    private System.Windows.Forms.Label label2;
+    private System.Windows.Forms.Label label3;
+    private System.Windows.Forms.Label label4;
+    private System.Windows.Forms.Label label5;
+    private System.Windows.Forms.Label label6;
+    private System.Windows.Forms.Label label7;
+    private System.Windows.Forms.Label label8;
+    private System.Windows.Forms.Label label9;
+    private System.Windows.Forms.Label label10;
+
+  }
+}
Index: TvEngine3/TVLibrary/SetupTv/Sections/TestService.cs
===================================================================
--- TvEngine3/TVLibrary/SetupTv/Sections/TestService.cs	(revision 27484)
+++ TvEngine3/TVLibrary/SetupTv/Sections/TestService.cs	(working copy)
@@ -28,6 +28,7 @@
 using TvLibrary.Log;
 using Gentle.Framework;
 using SetupControls;
+using TvLibrary.Implementations.Helper.Providers;
 
 namespace SetupTv.Sections
 {
@@ -536,6 +537,10 @@
         ch.Persist();
       }
 
+      //  Reset provider last grab time
+      SkyUK.Instance.LastEPGGrabTime = DateTime.MinValue;
+      SkyItaly.Instance.LastEPGGrabTime = DateTime.MinValue;
+
       RemoteControl.Instance.EpgGrabberEnabled = true;
       MessageBox.Show("EPG grabber will restart in a few seconds..");
     }
Index: TvEngine3/TVLibrary/SetupTv/SettingsForm.cs
===================================================================
--- TvEngine3/TVLibrary/SetupTv/SettingsForm.cs	(revision 27484)
+++ TvEngine3/TVLibrary/SetupTv/SettingsForm.cs	(working copy)
@@ -188,6 +188,7 @@
         AddSection(EpgSection);
         AddChildSection(EpgSection, new TvEpgGrabber());
         AddChildSection(EpgSection, new RadioEpgGrabber());
+        AddChildSection(EpgSection, new ProviderEPGs());
 
         AddSection(new ScanSettings());
         AddSection(new TvRecording());
Index: TvEngine3/TVLibrary/SetupTv/SetupTv.csproj
===================================================================
--- TvEngine3/TVLibrary/SetupTv/SetupTv.csproj	(revision 27484)
+++ TvEngine3/TVLibrary/SetupTv/SetupTv.csproj	(working copy)
@@ -2,7 +2,7 @@
   <PropertyGroup>
     <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
     <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
-    <ProductVersion>9.0.30729</ProductVersion>
+    <ProductVersion>9.0.21022</ProductVersion>
     <SchemaVersion>2.0</SchemaVersion>
     <ProjectGuid>{FF9AAD68-BBE0-41F7-9183-F2B8474B9224}</ProjectGuid>
     <OutputType>WinExe</OutputType>
@@ -184,6 +184,18 @@
     </Compile>
     <Compile Include="ExtensionMethods.cs" />
     <Compile Include="HelpSystem.cs" />
+    <Compile Include="Sections\Dialogs\SkyDefaultTransponderSetup.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Sections\Dialogs\SkyDefaultTransponderSetup.Designer.cs">
+      <DependentUpon>SkyDefaultTransponderSetup.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Sections\ProviderEpgGrabber.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Sections\ProviderEpgGrabber.Designer.cs">
+      <DependentUpon>ProviderEpgGrabber.cs</DependentUpon>
+    </Compile>
     <Compile Include="Sections\DebugOptions.cs">
       <SubType>UserControl</SubType>
     </Compile>
@@ -691,6 +703,14 @@
       <DependentUpon>FormWebStreamTuningDetail.cs</DependentUpon>
       <SubType>Designer</SubType>
     </EmbeddedResource>
+    <EmbeddedResource Include="Sections\Dialogs\SkyDefaultTransponderSetup.resx">
+      <DependentUpon>SkyDefaultTransponderSetup.cs</DependentUpon>
+      <SubType>Designer</SubType>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Sections\ProviderEpgGrabber.resx">
+      <DependentUpon>ProviderEpgGrabber.cs</DependentUpon>
+      <SubType>Designer</SubType>
+    </EmbeddedResource>
     <EmbeddedResource Include="Sections\DebugOptions.resx">
       <DependentUpon>DebugOptions.cs</DependentUpon>
       <SubType>Designer</SubType>
@@ -724,6 +744,8 @@
     <EmbeddedResource Include="56_upgrade_sqlserver_database.sql" />
     <EmbeddedResource Include="57_upgrade_mysql_database.sql" />
     <EmbeddedResource Include="57_upgrade_sqlserver_database.sql" />
+    <EmbeddedResource Include="58_upgrade_mysql_database.sql" />
+    <EmbeddedResource Include="58_upgrade_sqlserver_database.sql" />
     <None Include="images\icon.down.png" />
     <Content Include="images\icon.mpConfig.ico" />
     <Content Include="images\icon.radio_fta.png" />
